Name:           perl-Regexp-Assemble
Version:        0.38
Release:        1
Summary:        Assemble multiple Regular Expressions into a single RE
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Regexp-Assemble
Source0:        https://cpan.metacpan.org/modules/by-module/Regexp/Regexp-Assemble-%{version}.tgz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
BuildRequires:  perl(re)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(Test::More)
# Optional Tests
BuildRequires:  perl(Test::File::Contents)
BuildRequires:  perl(Test::Warn)
# Dependencies
Requires:       perl(Carp)
Requires:       perl(Storable)
Requires:       perl(Time::HiRes)

%description
Regexp::Assemble takes an arbitrary number of regular expressions and
assembles them into a single regular expression (or RE) that matches all
that the individual REs match.

%prep
%setup -q -n Regexp-Assemble-%{version}

# Tidy up the examples (note that eg/file.3 is required to have DOS line endings)
find examples/ -type f | xargs chmod -c -x
find examples/ -type f | xargs perl -pi -e 's|^#!\s*/usr/local/bin/perl\S*|%{__perl}|'

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes examples/ README TODO
%{perl_vendorlib}/Regexp/
%{_mandir}/man3/Regexp::Assemble.3*

%changelog
* Wed Jan 24 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 0.38-1
- Initial package
